Skip to main content

Get Country list

API Reference
GET/api/v1/content/countries

Fetch country name and country code

Document History

versionpublish dateDescription
1.0.025-10-2026Intial Specification

Header Parameters​

Content-Type
required
string
Content type
Example: application/json
Authorization
required
string
Authorization
Example: Bearer {accessToken}

Query Parameters​

language
required
string
Desired language for the response
Example: en-US / th-TH
endUserIpAddress
required
string
IP address of end user

Response Schema​

ref
required
string
Reference transaction
status
required
boolean
Status flag
code
required
string
Error code
Example: 200 / 400...
message
required
string
Error message
data
required
object
Data response object
countries
required
array object
Country list
countryCode
required
string
Country code in ISO 3166-1 alpha-2 format
Example: TH
countryName
required
string
Country name
Example: Thailand

Responses​

Status CodeDescription
200SUCCESS
400Bad Request
401Unauthorized
404Not found
500Internal server error